<?php
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/* Connect To Database*/
require_once "../db.php";
require_once "../php_conexion.php";
$session_id     = session_id();
$query_id = mysqli_query($conexion, "SELECT RIGHT(numero_factura,6) as factura FROM facturas_ventas
  ORDER BY factura DESC LIMIT 1")
or die('error ' . mysqli_error($conexion));
$count = mysqli_num_rows($query_id);

if ($count != 0) {

    $data_id = mysqli_fetch_assoc($query_id);
    $factura = $data_id['factura'] + 1;
} else {
    $factura = 1;
}

$buat_id = str_pad($factura, 6, "0", STR_PAD_LEFT);
$factura = "CFF-$buat_id";

$sql = "SELECT num_pedido FROM tmp_comandas WHERE num_pedido ='" . $factura . "';";
$query_check_user_name = mysqli_query($conexion, $sql);
$query_check_user = mysqli_num_rows($query_check_user_name);

if ($query_check_user > 0) {
    echo "<div class='alert alert-warning'>El número de factura <strong>$factura</strong> ya está agregado.</div>";
} else {
    $insert_tmp_comanda = mysqli_query($conexion, "INSERT INTO tmp_comandas (mesa_comanda, estado_comanda, session_id, num_pedido)
    VALUES ('','0','$session_id','$factura')");
}


echo '<input type="text" class="form-control" autocomplete="off" id="factura" value="' . $factura . '" placeholder="Factura" readonly name="factura" >';
